Skip to main content
Resource Center/Bare Metal Management (Plus)/Installation Service Operations
PUTInstallation Service OperationsSince 2.6.0SynchronousAuth Required

StartBaremetalPxeServer

StartBaremetalPxeServer

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the deployment server.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/baremetal/pxeservers/{uuid}/actions

/zstack/v1/baremetal/pxeservers/{uuid}/actions

Operation ID

StartBaremetalPxeServer

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/baremetal/pxeservers/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "ac3a53373cfd328b8932bdd29f4886dd", "name": "test", "hostname": "127.0.0.1", "sshUsername": "root", "sshPassword": "password", "sshPort": 22.0, "storagePath": "/zstack_bm_cache", "dhcpInterface": "eth0", "dhcpRangeBegin": "10.0.0.1", "dhcpRangeEnd": "10.0.0.255", "dhcpRangeNetmask": "255.255.255.0", "state": "Enabled", "status": "Connected" } }

Change History

This API has no change history records yet.

View all change history